## erc 4.0.cvs.20031027

=== Makefile ===
VERSION=4.0
SNAPSHOTDATE=20031027
SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)

SPECIAL = erc-auto.el
UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
		erc-speedbar.el erc-compat.el
ALLSOURCE = $(wildcard *.el)
SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED),$(ALLSOURCE))
TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
		servers.pl erc-auto.in
EMACS   = emacs

all: $(TARGET)

autoloads: erc-auto.el

erc-auto.el: erc-auto.in $(SOURCE)
	cp erc-auto.in erc-auto.el
	-rm erc-auto.elc
	$(EMACS) --no-init-file --no-site-file -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto \
		-f generate-autoloads \
		$(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto.el .

%.elc: %.el
	$(EMACS) --no-init-file --no-site-file -batch \
		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-maint \
		-f batch-byte-compile $<

clean:
	rm -f *~ *.elc

realclean: clean
	-rm -f $(TARGET) $(SPECIAL)

debrelease: $(ALLSOURCE) $(SPECIAL)
	rm -Rf ../$(SNAPDIR) && \
	mkdir ../$(SNAPDIR) && \
	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
	cd ../ && \
	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
	cp -R debian ../$(SNAPDIR)
	rm -R ../$(SNAPDIR)/debian/CVS ../$(SNAPDIR)/debian/maint/CVS \
		../$(SNAPDIR)/debian/scripts/CVS
	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot

.PHONY: ChangeLog
ChangeLog:
	-mv -f ChangeLog ChangeLog.old
	zsh mkChangeLog

release:
	rm -rf ../erc-$(VERSION)
	mkdir ../erc-$(VERSION)
	cp $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*

todo:	erc.elc
