## erc 4.0.cvs.20041118

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 VERSION=4.0
-SNAPSHOTDATE=20031027
+SNAPSHOTDATE=20041118
 SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)
 
 SPECIAL = erc-auto.el
 UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
 		erc-speedbar.el erc-compat.el
+TESTING = erc-members.el erc-macs.el
 ALLSOURCE = $(wildcard *.el)
-SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED),$(ALLSOURCE))
+SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED) $(TESTING),$(ALLSOURCE))
 TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
 MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
 		servers.pl erc-auto.in
@@ -18,7 +19,7 @@
 
 erc-auto.el: erc-auto.in $(SOURCE)
 	cp erc-auto.in erc-auto.el
-	-rm erc-auto.elc
+	rm -f erc-auto.elc
 	$(EMACS) --no-init-file --no-site-file -batch \
 		-l $(shell pwd | sed -e 's|^/cygdrive/\([a-z]\)|\1:|')/erc-auto \
 		-f generate-autoloads \
@@ -37,7 +38,7 @@
 
 debrelease: $(ALLSOURCE) $(SPECIAL)
 	rm -Rf ../$(SNAPDIR) && \
-	mkdir ../$(SNAPDIR) && \
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
 	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
 	cd ../ && \
 	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
@@ -51,10 +52,10 @@
 	-mv -f ChangeLog ChangeLog.old
 	zsh mkChangeLog
 
-release:
+release: autoloads
 	rm -rf ../erc-$(VERSION)
 	mkdir ../erc-$(VERSION)
-	cp $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
+	cp $(SPECIAL) $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
 	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*
 
 todo:	erc.elc
