## erc 5.0.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
-VERSION=4.0
-SNAPSHOTDATE=20041118
-SNAPDIR=erc-$(VERSION).cvs.$(SNAPSHOTDATE)
+VERSION=5.0.2
+SNAPDIR=erc-$(VERSION)
 
 SPECIAL = erc-auto.el
 UNCOMPILED = erc-chess.el erc-bbdb.el erc-ibuffer.el erc-speak.el \
@@ -9,8 +8,9 @@
 ALLSOURCE = $(wildcard *.el)
 SOURCE	= $(filter-out $(SPECIAL) $(UNCOMPILED) $(TESTING),$(ALLSOURCE))
 TARGET	= $(patsubst %.el,%.elc,$(SPECIAL) $(SOURCE))
-MISC	= AUTHORS CREDITS HISTORY README Makefile ChangeLog mkChangeLog \
-		servers.pl erc-auto.in
+MISC	= AUTHORS CREDITS HISTORY NEWS README Makefile ChangeLog \
+		ChangeLog.2004 ChangeLog.2003 ChangeLog.2002 \
+		ChangeLog.2001 servers.pl erc-auto.in
 EMACS   = emacs
 
 all: $(TARGET)
@@ -33,7 +33,7 @@
 clean:
 	rm -f *~ *.elc
 
-realclean: clean
+distclean realclean: clean
 	-rm -f $(TARGET) $(SPECIAL)
 
 debrelease: $(ALLSOURCE) $(SPECIAL)
@@ -41,16 +41,17 @@
 	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
 	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
 	cd ../ && \
-	tar -czf erc_$(VERSION).cvs.$(SNAPSHOTDATE).orig.tar.gz $(SNAPDIR)
+	tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR)
 	cp -R debian ../$(SNAPDIR)
-	rm -R ../$(SNAPDIR)/debian/CVS ../$(SNAPDIR)/debian/maint/CVS \
-		../$(SNAPDIR)/debian/scripts/CVS
+	-[ -d ../$(SNAPDIR)/debian/CVS ] && rm -R \
+	  ../$(SNAPDIR)/debian/CVS \
+	  ../$(SNAPDIR)/debian/maint/CVS \
+	  ../$(SNAPDIR)/debian/scripts/CVS
+	-[ -d ../$(SNAPDIR)/debian/.arch-ids ] && rm -R \
+	  ../$(SNAPDIR)/debian/.arch-ids \
+	  ../$(SNAPDIR)/debian/maint/.arch-ids \
+	  ../$(SNAPDIR)/debian/scripts/.arch-ids
 	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot
-
-.PHONY: ChangeLog
-ChangeLog:
-	-mv -f ChangeLog ChangeLog.old
-	zsh mkChangeLog
 
 release: autoloads
 	rm -rf ../erc-$(VERSION)
