## erc 5.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=5.0.2
+VERSION=5.0.4
 SNAPDIR=erc-$(VERSION)
 
 SPECIAL = erc-auto.el
@@ -31,32 +31,49 @@
 		-f batch-byte-compile $<
 
 clean:
-	rm -f *~ *.elc
+	-rm -f *~ *.elc
 
-distclean realclean: clean
+realclean: clean
 	-rm -f $(TARGET) $(SPECIAL)
 
-debrelease: $(ALLSOURCE) $(SPECIAL)
-	rm -Rf ../$(SNAPDIR) && \
-	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR) && \
-	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR) && \
-	cd ../ && \
-	tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR)
+distclean:
+	-rm -f $(TARGET)
+	-rm -Rf ../$(SNAPDIR)
+
+debrelease: $(ALLSOURCE) $(SPECIAL) distclean
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR)
+	cp $(ALLSOURCE) $(SPECIAL) $(MISC) ../$(SNAPDIR)
+	(cd .. && tar -czf erc_$(VERSION).orig.tar.gz $(SNAPDIR))
 	cp -R debian ../$(SNAPDIR)
-	-[ -d ../$(SNAPDIR)/debian/CVS ] && rm -R \
+	test -d ../$(SNAPDIR)/debian/CVS && rm -R \
 	  ../$(SNAPDIR)/debian/CVS \
 	  ../$(SNAPDIR)/debian/maint/CVS \
-	  ../$(SNAPDIR)/debian/scripts/CVS
-	-[ -d ../$(SNAPDIR)/debian/.arch-ids ] && rm -R \
+	  ../$(SNAPDIR)/debian/scripts/CVS || :
+	test -d ../$(SNAPDIR)/debian/.arch-ids && rm -R \
 	  ../$(SNAPDIR)/debian/.arch-ids \
 	  ../$(SNAPDIR)/debian/maint/.arch-ids \
-	  ../$(SNAPDIR)/debian/scripts/.arch-ids
-	cd ../$(SNAPDIR) && dpkg-buildpackage -rfakeroot
+	  ../$(SNAPDIR)/debian/scripts/.arch-ids || :
+	(cd ../$(SNAPDIR) && debuild -rfakeroot)
 
-release: autoloads
-	rm -rf ../erc-$(VERSION)
-	mkdir ../erc-$(VERSION)
+debrelease-mwolson:
+	-rm -f ../../dist/erc_*
+	-rm -f ../erc_$(VERSION)*
+	$(MAKE) debrelease
+	cp ../erc_$(VERSION)* ../../dist
+
+release: autoloads distclean
+	mkdir ../$(SNAPDIR) && chmod 0755 ../$(SNAPDIR)
 	cp $(SPECIAL) $(UNCOMPILED) $(SOURCE) $(MISC) ../erc-$(VERSION)
-	cd ..; tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*
+	(cd .. && tar czf erc-$(VERSION).tar.gz erc-$(VERSION)/*; \
+	  zip -r erc-$(VERSION).zip erc-$(VERSION))
 
 todo:	erc.elc
+
+upload:
+	(cd .. && echo open ftp://upload.sourceforge.net > upload.lftp ; \
+	  echo cd /incoming >> upload.lftp ; \
+	  echo mput erc-$(VERSION).zip >> upload.lftp ; \
+	  echo mput erc-$(VERSION).tar.gz >> upload.lftp ; \
+	  echo close >> upload.lftp ; \
+	  lftp -f upload.lftp ; \
+	  rm -f upload.lftp)
