## erc 5.5%2Bdfsg

=== debian/control ===
Source: erc
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Amin Bandali <bandali@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/erc
Vcs-Git: https://salsa.debian.org/emacsen-team/erc.git
Homepage: https://www.gnu.org/software/emacs/erc.html
Rules-Requires-Root: no

Package: elpa-erc
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Powerful, modular, and extensible IRC client for Emacs
 ERC is a powerful, modular, and extensible Internet Relay Chat (IRC)
 client distributed with GNU Emacs since version 22.1.
 .
 ERC comes with the following capabilities enabled by default:
 .
  * Timestamps
  * Flood control
  * Join channels automatically
  * Buttonized URLs, nicknames, and other text
  * Wrap long lines
  * Highlight or remove IRC control characters
  * Highlight pals, fools, and other keywords
  * Detect netsplits
  * Complete nicknames and commands in a programmable fashion
  * Make displayed lines read-only
  * Input history
  * Track channel activity in the mode-line
