## erc 5.5+dfsg

=== debian/changelog ===
erc (5.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:16:23 +0900

erc (5.5+dfsg-2) unstable; urgency=medium

  * Update debian/control Uploaders to use my new @debian.org address

 -- Amin Bandali <bandali@debian.org>  Tue, 02 Jan 2024 19:51:50 -0500

erc (5.5+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1053654)
  * Revamp/redo the Debian packaging for ERC essentially from scratch,
    to follow current packaging guidelines/practices of Debian Emacsen
    team, in preparation for reintroduction into Debian.

 -- Amin Bandali <bandali@gnu.org>  Wed, 18 Oct 2023 00:17:28 -0400

erc (5.3-1) unstable; urgency=low

  * debian/control:
    - Update to Standards-Version 3.7.3.
    - Depends: Mention emacs22 rather than emacs21.
  * debian/copyright:
    - Update years, authors, license, and copyright statement.
  * debian/NEWS:
    - Drop mention of myself in the third person, because it was confusing
      people.
  * debian/rules:
    - (clean): Remove build-stamp and configure-stamp so that the
      directory is truly clean.
    - (binary-erc): Add ChangeLog.07.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sat, 26 Jan 2008 21:01:17 -0500

erc (5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add emacsen-common >= 1.4.14, since we are using
    debian-pkg-add-load-path-item.
  * debian/scripts/startup.erc: Drop fboundp test.  Do the right thing if
    the package has been removed but not purged.
  * debian/rules:
    - Remove manual since it is GFDL-licensed.
    - Update ChangeLog.NNNN -> ChangeLog.NN.
    - Install NEWS.Debian.
  * NEWS, README.Debian: Mention manual situation.
  * debian/maint/postinst, debian/maint/prerm: Don't install manual.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Fri, 22 Jun 2007 23:46:33 -0400

erc (5.1.4-4) unstable; urgency=low

  * debian/control: Remove myself from uploaders.

 -- Romain Francoise <rfrancoise@debian.org>  Fri,  2 Mar 2007 18:18:30 +0100

erc (5.1.4-3) unstable; urgency=low

  * debian/scripts/install: Bug fix: "bashism in
    /usr/lib/emacsen-common/packages/install/erc", thanks to Michal
    Politowski (Closes: #381832).
  * debian/scripts/install: Grammar fix.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Mon,  7 Aug 2006 16:18:09 -0400

erc (5.1.4-2) unstable; urgency=low

  [ Michael Olson ]
  * debian/scripts/install:
    - Make sure the given target is always PHONY.
    - Split up long lines.
    - Avoid spurious "emacs is up-to-date" message.
    - Make sure all source files get symlinked, not just those that are
      safe to compile.
    - Use more failproof mechanism for acquiring initial target.
    - Separate path.el generation into its own target.
  
  [ Romain Francoise ]
  * debian/control: Set Standards-Version to 3.7.2, no changes needed.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sat,  5 Aug 2006 11:39:37 -0400

erc (5.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Thu,  3 Aug 2006 00:55:51 -0400

erc (5.1.3-3) experimental; urgency=low

  * debian/scripts/install: Use `ln -sf' to ensure script idempotency.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 31 Jul 2006 19:52:28 +0200

erc (5.1.3-2) unstable; urgency=low

  * debian/scripts/install: Install symlinks to the source files instead
    of copying before and removing them after compilation.
  * debian/scripts/startup.erc: Don't add the global site-lisp directory
    to load-path.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Wed, 12 Jul 2006 17:27:45 -0400

erc (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "erc: resolving ssl.el dependency could be better
    documented", thanks to Neil Van Dyke (Closes: #369897).
  * debian/README.Debian: Mention the version of ssl.el that is preferred.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Mon, 10 Jul 2006 01:46:50 -0400

erc (5.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Sun, 19 Feb 2006 23:34:25 -0500

erc (5.1.1-3) unstable; urgency=low

  * erc.el: Go back to using ssl.el, since connecting with
    `open-tls-stream' only seems to work with the version of tls.el in
    Emacs22.
  * erc-autojoin.el, erc-dcc.el: Fix compiler warnings.
  * erc-stamp.el:
    - Fix a consistency issue with right timestamps.
    - Rename option `erc-timestamp-right-align-by-pixel' to
      `erc-timestamp-use-align-to'.
    - Use a more fail-proof method of aligning right timestamps, if the
      current version of Emacs supports it.  Previously, a bug was
      triggered when erc-stamp.el was byte-compiled.  This has been
      fixed, making this method safe to use.
  * debian/rules (configure, configure-stamp, build, build-stamp):
    Generate HTML and Info documentation.
    (binary-erc): Install HTML and Info documentation.
  * debian/maint/postinst: Install the Info documentation.
  * debian/maint/prerm: Handle removing of Info documentation.

 -- Michael W. Olson (GNU address) <mwolson@gnu.org>  Tue, 14 Feb 2006 00:55:54 -0500

erc (5.1.1-2) unstable; urgency=low

  * debian/control: Add Build-Depends-Indep on texinfo and texi2html,
    thanks to Andreas Jochens (closes: #351772).

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  8 Feb 2006 08:31:46 +0100

erc (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * erc-spelling.el:
    - Don't spell-check nicks or words that are prefixed with '/'.
    - Remove flyspell properties from words we shouldn't spell-check.
    - Fix an issue that caused the ispell process to reload every time we
      switch to an ERC buffer.
  * Bug fix: "erc: Recommends: emacs-chess", thanks to era eriksson

