=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://elpa.gnu.org/packages/@PACKAGE@.html @PACKAGE@@ANY_VERSION@\.tar
